<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Table Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-slots">Private Slots</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="classTable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Table Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="table_8h_source.html">table.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Table:</div>
<div class="dyncontent">
<div class="center"><img src="classTable__inherit__graph.png" border="0" usemap="#Table_inherit__map" alt="Inheritance graph"/></div>
<map name="Table_inherit__map" id="Table_inherit__map">
<area shape="rect" title=" " alt="" coords="5,131,205,897"/>
<area shape="rect" title=" " alt="" coords="47,5,163,83"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for Table:</div>
<div class="dyncontent">
<div class="center"><img src="classTable__coll__graph.png" border="0" usemap="#Table_coll__map" alt="Collaboration graph"/></div>
<map name="Table_coll__map" id="Table_coll__map">
<area shape="rect" title=" " alt="" coords="261,661,461,1369"/>
<area shape="rect" title=" " alt="" coords="5,441,121,518"/>
<area shape="rect" href="classNetworkService.html" title=" " alt="" coords="145,360,312,599"/>
<area shape="rect" href="classSettingsService.html" title=" " alt="" coords="393,132,553,297"/>
<area shape="rect" href="classGameStateService.html" title=" " alt="" coords="494,360,710,599"/>
<area shape="rect" title=" " alt="" coords="499,5,574,83"/>
<area shape="rect" href="classCardWidget.html" title=" " alt="" coords="735,426,869,533"/>
<area shape="rect" title=" " alt="" coords="749,176,855,253"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a83bd8cf3d2f0122bc2c630ec01ca5414"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a83bd8cf3d2f0122bc2c630ec01ca5414">Table</a> (QWidget *parent=nullptr)</td></tr>
<tr class="separator:a83bd8cf3d2f0122bc2c630ec01ca5414"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a559f2e7beb37b511ee9f88873164f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a9a559f2e7beb37b511ee9f88873164f8">~Table</a> ()</td></tr>
<tr class="separator:a9a559f2e7beb37b511ee9f88873164f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92340805801983bc4af6dc9357a4360d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a92340805801983bc4af6dc9357a4360d">addCard</a> (<a class="el" href="classCardWidget.html">CardWidget</a> *cw)</td></tr>
<tr class="separator:a92340805801983bc4af6dc9357a4360d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a4feeeaeb83209a2bc38cb0c84e2d68"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a9a4feeeaeb83209a2bc38cb0c84e2d68">addCardWidget</a> (<a class="el" href="classCardWidget.html">CardWidget</a> *<a class="el" href="classTable.html#a5bd1e38a86894845cb551036bab50701">card</a>)</td></tr>
<tr class="separator:a9a4feeeaeb83209a2bc38cb0c84e2d68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d303ada19507af8560638ffd763e925"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a2d303ada19507af8560638ffd763e925">removeCardWidget</a> ()</td></tr>
<tr class="separator:a2d303ada19507af8560638ffd763e925"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fc1bb37c3d25588da78dc6df9792f59"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a5fc1bb37c3d25588da78dc6df9792f59">render</a> ()</td></tr>
<tr class="separator:a5fc1bb37c3d25588da78dc6df9792f59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75a57169006631763be43d6af6c3ad12"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a75a57169006631763be43d6af6c3ad12">readJsonFile</a> ()</td></tr>
<tr class="separator:a75a57169006631763be43d6af6c3ad12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95eba63c74cff1b7c2e66850b0595f59"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a95eba63c74cff1b7c2e66850b0595f59">findImage</a> (int i)</td></tr>
<tr class="separator:a95eba63c74cff1b7c2e66850b0595f59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c1bad632b4cabfdc93d32e586308641"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a2c1bad632b4cabfdc93d32e586308641">readCoords</a> ()</td></tr>
<tr class="separator:a2c1bad632b4cabfdc93d32e586308641"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c2ecc1487848d63a192921e59aee6c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a2c2ecc1487848d63a192921e59aee6c4">addPlayer</a> (int <a class="el" href="classTable.html#abf60128e4871f6b148c7ac067ff4b0a0">id</a>)</td></tr>
<tr class="separator:a2c2ecc1487848d63a192921e59aee6c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-slots"></a>
Private Slots</h2></td></tr>
<tr class="memitem:a1e67e3b1c65e211e1718b230ddfb4d77"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a1e67e3b1c65e211e1718b230ddfb4d77">on_leStory_textChanged</a> (const QString &amp;arg1)</td></tr>
<tr class="separator:a1e67e3b1c65e211e1718b230ddfb4d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a365f2cba147209dc982098ecbabe0d4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a365f2cba147209dc982098ecbabe0d4b">onCardClicked</a> (int)</td></tr>
<tr class="separator:a365f2cba147209dc982098ecbabe0d4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a181a67fcb394951f06b0a01397386271"><td class="memItemLeft" align="right" valign="top">Ui::Table *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a181a67fcb394951f06b0a01397386271">ui</a></td></tr>
<tr class="separator:a181a67fcb394951f06b0a01397386271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bd1e38a86894845cb551036bab50701"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCardWidget.html">CardWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a5bd1e38a86894845cb551036bab50701">card</a></td></tr>
<tr class="separator:a5bd1e38a86894845cb551036bab50701"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d44b4268874f6aecd3e126e75a02bd7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a1d44b4268874f6aecd3e126e75a02bd7">hostId</a></td></tr>
<tr class="separator:a1d44b4268874f6aecd3e126e75a02bd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af785b77dd2f0b21237dea9c10c6ab95d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#af785b77dd2f0b21237dea9c10c6ab95d">maxPlayers</a></td></tr>
<tr class="separator:af785b77dd2f0b21237dea9c10c6ab95d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae00bff662483529b4f5944195893d316"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#ae00bff662483529b4f5944195893d316">gamePhase</a></td></tr>
<tr class="separator:ae00bff662483529b4f5944195893d316"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af83075f3fb6811e07896e2e7b789c92f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#af83075f3fb6811e07896e2e7b789c92f">currNarrator</a></td></tr>
<tr class="separator:af83075f3fb6811e07896e2e7b789c92f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58bfecd035557a900faf308745a2fbfa"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a58bfecd035557a900faf308745a2fbfa">narratorCard</a></td></tr>
<tr class="separator:a58bfecd035557a900faf308745a2fbfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d55a02eb5139d12927f7df3daa746da"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a3d55a02eb5139d12927f7df3daa746da">clue</a></td></tr>
<tr class="separator:a3d55a02eb5139d12927f7df3daa746da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5497417a82a0fb4a9e5394e198d2714c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a5497417a82a0fb4a9e5394e198d2714c">narratorId</a></td></tr>
<tr class="separator:a5497417a82a0fb4a9e5394e198d2714c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af19b3b8f7a5d8c62046ff0bcfb1bfb47"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#af19b3b8f7a5d8c62046ff0bcfb1bfb47">voteCounter</a></td></tr>
<tr class="separator:af19b3b8f7a5d8c62046ff0bcfb1bfb47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19431c47c739b1ab52a6f5c4a7b1a70c"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a19431c47c739b1ab52a6f5c4a7b1a70c">votes</a></td></tr>
<tr class="separator:a19431c47c739b1ab52a6f5c4a7b1a70c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeaa8e8c8ee75d391c22163278fe69b0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#adeaa8e8c8ee75d391c22163278fe69b0">narrCardChosen</a> = false</td></tr>
<tr class="separator:adeaa8e8c8ee75d391c22163278fe69b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92ed6d621a7bcb527e570d182e5cc500"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a92ed6d621a7bcb527e570d182e5cc500">playerId</a></td></tr>
<tr class="separator:a92ed6d621a7bcb527e570d182e5cc500"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12f905d9401def95f1c787610ffc4dc3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a12f905d9401def95f1c787610ffc4dc3">cardId</a></td></tr>
<tr class="separator:a12f905d9401def95f1c787610ffc4dc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5396be5a9bbc8a53663651a800c2f19"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; int, vector&lt; int &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#ad5396be5a9bbc8a53663651a800c2f19">players</a></td></tr>
<tr class="separator:ad5396be5a9bbc8a53663651a800c2f19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf60128e4871f6b148c7ac067ff4b0a0"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#abf60128e4871f6b148c7ac067ff4b0a0">id</a></td></tr>
<tr class="separator:abf60128e4871f6b148c7ac067ff4b0a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a288bdb52d583657f376511a876f0a8ad"><td class="memItemLeft" align="right" valign="top">std::vector&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a288bdb52d583657f376511a876f0a8ad">hand</a></td></tr>
<tr class="separator:a288bdb52d583657f376511a876f0a8ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2a131f3423ef0c792e3c3a40076631e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#ac2a131f3423ef0c792e3c3a40076631e">pressed</a> = false</td></tr>
<tr class="separator:ac2a131f3423ef0c792e3c3a40076631e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c841cae351c4ee21094ccebd206e94d"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a1c841cae351c4ee21094ccebd206e94d">commonPile</a></td></tr>
<tr class="separator:a1c841cae351c4ee21094ccebd206e94d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9f3585e160de58c982da6268299e062"><td class="memItemLeft" align="right" valign="top">unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#ac9f3585e160de58c982da6268299e062">playersId</a></td></tr>
<tr class="separator:ac9f3585e160de58c982da6268299e062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb59c9598b663dbd23c4f5894be7e0e2"><td class="memItemLeft" align="right" valign="top">unordered_map&lt; int, QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#aeb59c9598b663dbd23c4f5894be7e0e2">username</a></td></tr>
<tr class="separator:aeb59c9598b663dbd23c4f5894be7e0e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a895afdbd968c9f21539054deb81a3dec"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a895afdbd968c9f21539054deb81a3dec">noPls</a></td></tr>
<tr class="separator:a895afdbd968c9f21539054deb81a3dec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1afdf6fc7b30420303b03e838e3d8065"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a1afdf6fc7b30420303b03e838e3d8065">prevCard</a></td></tr>
<tr class="separator:a1afdf6fc7b30420303b03e838e3d8065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7293408b91ebdce8296e52a06e087dfa"><td class="memItemLeft" align="right" valign="top">unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a7293408b91ebdce8296e52a06e087dfa">playersPoints</a></td></tr>
<tr class="separator:a7293408b91ebdce8296e52a06e087dfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2c1c73b5747bf56848d55e0bff49216"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#ab2c1c73b5747bf56848d55e0bff49216">buttonId</a> = 0</td></tr>
<tr class="separator:ab2c1c73b5747bf56848d55e0bff49216"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b06a076bfda23af5cdb5b5e2663b434"><td class="memItemLeft" align="right" valign="top">unordered_map&lt; int, QPushButton * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a3b06a076bfda23af5cdb5b5e2663b434">buttons</a></td></tr>
<tr class="separator:a3b06a076bfda23af5cdb5b5e2663b434"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3e0f01a9c5659bafb3e766bdf75235b"><td class="memItemLeft" align="right" valign="top">unordered_map&lt; int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#ad3e0f01a9c5659bafb3e766bdf75235b">playerScores</a></td></tr>
<tr class="separator:ad3e0f01a9c5659bafb3e766bdf75235b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72e3bd615edada2744077b583be0cedf"><td class="memItemLeft" align="right" valign="top">unordered_map&lt; int, QPushButton * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a72e3bd615edada2744077b583be0cedf">scoreDots</a></td></tr>
<tr class="separator:a72e3bd615edada2744077b583be0cedf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bc58cd8e553aec8ad0ec95e39742df9"><td class="memItemLeft" align="right" valign="top">unordered_map&lt; int, QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a4bc58cd8e553aec8ad0ec95e39742df9">playerColors</a></td></tr>
<tr class="separator:a4bc58cd8e553aec8ad0ec95e39742df9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade41e8d3ae2349f36330c42541b13375"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#ade41e8d3ae2349f36330c42541b13375">scoreSum</a></td></tr>
<tr class="separator:ade41e8d3ae2349f36330c42541b13375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab17f390d345054db2e85978a229c3a3c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#ab17f390d345054db2e85978a229c3a3c">votedForCard</a></td></tr>
<tr class="separator:ab17f390d345054db2e85978a229c3a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a239adf8ba87c217dcf31c909edffac2a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a239adf8ba87c217dcf31c909edffac2a">choseCard</a></td></tr>
<tr class="separator:a239adf8ba87c217dcf31c909edffac2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc45f3958e92b7a5ba63be563c1d15c2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#adc45f3958e92b7a5ba63be563c1d15c2">chosenCard</a></td></tr>
<tr class="separator:adc45f3958e92b7a5ba63be563c1d15c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2609943c1f2f33c11992f2108ee7864"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGameStateService.html">GameStateService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#aa2609943c1f2f33c11992f2108ee7864">gameStateService</a></td></tr>
<tr class="separator:aa2609943c1f2f33c11992f2108ee7864"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a806efb77188491599819fc437c1e02a4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classNetworkService.html">NetworkService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a806efb77188491599819fc437c1e02a4">networkService</a></td></tr>
<tr class="separator:a806efb77188491599819fc437c1e02a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49418493265a2768360c55a39939faeb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSettingsService.html">SettingsService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#a49418493265a2768360c55a39939faeb">settingsService</a></td></tr>
<tr class="separator:a49418493265a2768360c55a39939faeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:ae940b200cda96d3521c893e13070f40e"><td class="memItemLeft" align="right" valign="top">static const QPoint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTable.html#ae940b200cda96d3521c893e13070f40e">coords</a> [31]</td></tr>
<tr class="separator:ae940b200cda96d3521c893e13070f40e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a83bd8cf3d2f0122bc2c630ec01ca5414"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83bd8cf3d2f0122bc2c630ec01ca5414">&#9670;&nbsp;</a></span>Table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Table::Table </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a559f2e7beb37b511ee9f88873164f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a559f2e7beb37b511ee9f88873164f8">&#9670;&nbsp;</a></span>~Table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Table::~Table </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a92340805801983bc4af6dc9357a4360d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92340805801983bc4af6dc9357a4360d">&#9670;&nbsp;</a></span>addCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Table::addCard </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCardWidget.html">CardWidget</a> *&#160;</td>
          <td class="paramname"><em>cw</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a4feeeaeb83209a2bc38cb0c84e2d68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a4feeeaeb83209a2bc38cb0c84e2d68">&#9670;&nbsp;</a></span>addCardWidget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Table::addCardWidget </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCardWidget.html">CardWidget</a> *&#160;</td>
          <td class="paramname"><em>card</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2c2ecc1487848d63a192921e59aee6c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c2ecc1487848d63a192921e59aee6c4">&#9670;&nbsp;</a></span>addPlayer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Table::addPlayer </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a95eba63c74cff1b7c2e66850b0595f59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95eba63c74cff1b7c2e66850b0595f59">&#9670;&nbsp;</a></span>findImage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString Table::findImage </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e67e3b1c65e211e1718b230ddfb4d77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e67e3b1c65e211e1718b230ddfb4d77">&#9670;&nbsp;</a></span>on_leStory_textChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Table::on_leStory_textChanged </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;&#160;</td>
          <td class="paramname"><em>arg1</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a365f2cba147209dc982098ecbabe0d4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a365f2cba147209dc982098ecbabe0d4b">&#9670;&nbsp;</a></span>onCardClicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Table::onCardClicked </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cardId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2c1bad632b4cabfdc93d32e586308641"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c1bad632b4cabfdc93d32e586308641">&#9670;&nbsp;</a></span>readCoords()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Table::readCoords </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a75a57169006631763be43d6af6c3ad12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75a57169006631763be43d6af6c3ad12">&#9670;&nbsp;</a></span>readJsonFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Table::readJsonFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2d303ada19507af8560638ffd763e925"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d303ada19507af8560638ffd763e925">&#9670;&nbsp;</a></span>removeCardWidget()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Table::removeCardWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5fc1bb37c3d25588da78dc6df9792f59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fc1bb37c3d25588da78dc6df9792f59">&#9670;&nbsp;</a></span>render()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Table::render </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab2c1c73b5747bf56848d55e0bff49216"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2c1c73b5747bf56848d55e0bff49216">&#9670;&nbsp;</a></span>buttonId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::buttonId = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b06a076bfda23af5cdb5b5e2663b434"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b06a076bfda23af5cdb5b5e2663b434">&#9670;&nbsp;</a></span>buttons</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unordered_map&lt;int, QPushButton*&gt; Table::buttons</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5bd1e38a86894845cb551036bab50701"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bd1e38a86894845cb551036bab50701">&#9670;&nbsp;</a></span>card</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCardWidget.html">CardWidget</a>* Table::card</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a12f905d9401def95f1c787610ffc4dc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12f905d9401def95f1c787610ffc4dc3">&#9670;&nbsp;</a></span>cardId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::cardId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a239adf8ba87c217dcf31c909edffac2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a239adf8ba87c217dcf31c909edffac2a">&#9670;&nbsp;</a></span>choseCard</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Table::choseCard</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adc45f3958e92b7a5ba63be563c1d15c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc45f3958e92b7a5ba63be563c1d15c2">&#9670;&nbsp;</a></span>chosenCard</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::chosenCard</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3d55a02eb5139d12927f7df3daa746da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d55a02eb5139d12927f7df3daa746da">&#9670;&nbsp;</a></span>clue</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Table::clue</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c841cae351c4ee21094ccebd206e94d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c841cae351c4ee21094ccebd206e94d">&#9670;&nbsp;</a></span>commonPile</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;int, int&gt; Table::commonPile</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae940b200cda96d3521c893e13070f40e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae940b200cda96d3521c893e13070f40e">&#9670;&nbsp;</a></span>coords</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QPoint Table::coords</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af83075f3fb6811e07896e2e7b789c92f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af83075f3fb6811e07896e2e7b789c92f">&#9670;&nbsp;</a></span>currNarrator</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::currNarrator</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae00bff662483529b4f5944195893d316"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae00bff662483529b4f5944195893d316">&#9670;&nbsp;</a></span>gamePhase</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Table::gamePhase</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa2609943c1f2f33c11992f2108ee7864"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2609943c1f2f33c11992f2108ee7864">&#9670;&nbsp;</a></span>gameStateService</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGameStateService.html">GameStateService</a>&amp; Table::gameStateService</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a288bdb52d583657f376511a876f0a8ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a288bdb52d583657f376511a876f0a8ad">&#9670;&nbsp;</a></span>hand</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;int&gt; Table::hand</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d44b4268874f6aecd3e126e75a02bd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d44b4268874f6aecd3e126e75a02bd7">&#9670;&nbsp;</a></span>hostId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::hostId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abf60128e4871f6b148c7ac067ff4b0a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf60128e4871f6b148c7ac067ff4b0a0">&#9670;&nbsp;</a></span>id</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Table::id</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af785b77dd2f0b21237dea9c10c6ab95d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af785b77dd2f0b21237dea9c10c6ab95d">&#9670;&nbsp;</a></span>maxPlayers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::maxPlayers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a58bfecd035557a900faf308745a2fbfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58bfecd035557a900faf308745a2fbfa">&#9670;&nbsp;</a></span>narratorCard</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::narratorCard</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5497417a82a0fb4a9e5394e198d2714c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5497417a82a0fb4a9e5394e198d2714c">&#9670;&nbsp;</a></span>narratorId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::narratorId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adeaa8e8c8ee75d391c22163278fe69b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adeaa8e8c8ee75d391c22163278fe69b0">&#9670;&nbsp;</a></span>narrCardChosen</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Table::narrCardChosen = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a806efb77188491599819fc437c1e02a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a806efb77188491599819fc437c1e02a4">&#9670;&nbsp;</a></span>networkService</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classNetworkService.html">NetworkService</a>&amp; Table::networkService</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a895afdbd968c9f21539054deb81a3dec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a895afdbd968c9f21539054deb81a3dec">&#9670;&nbsp;</a></span>noPls</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::noPls</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4bc58cd8e553aec8ad0ec95e39742df9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bc58cd8e553aec8ad0ec95e39742df9">&#9670;&nbsp;</a></span>playerColors</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unordered_map&lt;int, QString&gt; Table::playerColors</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a92ed6d621a7bcb527e570d182e5cc500"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92ed6d621a7bcb527e570d182e5cc500">&#9670;&nbsp;</a></span>playerId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::playerId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5396be5a9bbc8a53663651a800c2f19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5396be5a9bbc8a53663651a800c2f19">&#9670;&nbsp;</a></span>players</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;int, vector&lt;int&gt; &gt; Table::players</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3e0f01a9c5659bafb3e766bdf75235b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3e0f01a9c5659bafb3e766bdf75235b">&#9670;&nbsp;</a></span>playerScores</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unordered_map&lt;int, int&gt; Table::playerScores</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac9f3585e160de58c982da6268299e062"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9f3585e160de58c982da6268299e062">&#9670;&nbsp;</a></span>playersId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unordered_map&lt;int, int&gt; Table::playersId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7293408b91ebdce8296e52a06e087dfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7293408b91ebdce8296e52a06e087dfa">&#9670;&nbsp;</a></span>playersPoints</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unordered_map&lt;int, int&gt; Table::playersPoints</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac2a131f3423ef0c792e3c3a40076631e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2a131f3423ef0c792e3c3a40076631e">&#9670;&nbsp;</a></span>pressed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::pressed = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1afdf6fc7b30420303b03e838e3d8065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1afdf6fc7b30420303b03e838e3d8065">&#9670;&nbsp;</a></span>prevCard</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::prevCard</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a72e3bd615edada2744077b583be0cedf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72e3bd615edada2744077b583be0cedf">&#9670;&nbsp;</a></span>scoreDots</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unordered_map&lt;int, QPushButton*&gt; Table::scoreDots</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ade41e8d3ae2349f36330c42541b13375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade41e8d3ae2349f36330c42541b13375">&#9670;&nbsp;</a></span>scoreSum</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::scoreSum</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a49418493265a2768360c55a39939faeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49418493265a2768360c55a39939faeb">&#9670;&nbsp;</a></span>settingsService</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classSettingsService.html">SettingsService</a>&amp; Table::settingsService</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a181a67fcb394951f06b0a01397386271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a181a67fcb394951f06b0a01397386271">&#9670;&nbsp;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::Table* Table::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb59c9598b663dbd23c4f5894be7e0e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb59c9598b663dbd23c4f5894be7e0e2">&#9670;&nbsp;</a></span>username</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unordered_map&lt;int, QString&gt; Table::username</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af19b3b8f7a5d8c62046ff0bcfb1bfb47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af19b3b8f7a5d8c62046ff0bcfb1bfb47">&#9670;&nbsp;</a></span>voteCounter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Table::voteCounter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab17f390d345054db2e85978a229c3a3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab17f390d345054db2e85978a229c3a3c">&#9670;&nbsp;</a></span>votedForCard</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Table::votedForCard</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a19431c47c739b1ab52a6f5c4a7b1a70c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19431c47c739b1ab52a6f5c4a7b1a70c">&#9670;&nbsp;</a></span>votes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;int, int&gt; Table::votes</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/Main Window/<a class="el" href="table_8h_source.html">table.h</a></li>
<li>frontend/src/lib/Main Window/<a class="el" href="table_8cpp.html">table.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
